import * as path from 'path';
require('dotenv').config();
class Config {
    constructor() {
        this.appEnv = process.env.APP_ENV || 'PRD';
        this.staticRoot = path.join(__dirname, '../public');
        this.port = process.env.SERVER_PORT || 8080;
        this.enableHealthCheck = true;
        this.gmsHost = process.env.GMS_HOST;
        this.gmsContentId = process.env.GMS_CONTENT_ID || 'ea92eaa5da9ad474';
        this.gmsSchemaId = process.env.GMS_SCHEMA_ID || 'd7d0c83fd4d7f6bc';
        this.gmsProjectId = process.env.GMS_PROJECT_ID || 'e243e96d3631aea3';
        this.cdnHost = process.env.CDN_HOST || 'https://static-le.shanghaidisneyresort.com';
        this.healthShallowPath = process.env.API_PATH_HEALTH_SHALLOW || '/health/shallow';
        this.healthDeepPath = process.env.API_PATH_HEALTH_DEEP || '/health/deep';
        this.appVersion = process.env['npm_package_version'] || '0.0.0';
        this.appHome = '/anniversary';
    }
}
const config = new Config();
export default config;
//# sourceMappingURL=index.js.map