import { keys, get, reduce, isArray, map, isPlainObject, isString } from 'lodash';
import configs from './config';
function extractContent(language = 'zh') {
    const extractFn = (data) => {
        if (isArray(data)) {
            return map(data, extractFn);
        }
        if (isPlainObject(data) && !data._multilingual) {
            return reduce(keys(data), (memo, key) => {
                return Object.assign(Object.assign({}, memo), { [key]: extractFn(data[key]) });
            }, {});
        }
        if (isPlainObject(data) && data._multilingual) {
            return extractFn(get(data, language));
        }
        if (isString(data) && data.includes('/media/')) {
            return `${configs.cdnHost}${data}`;
        }
        return data;
    };
    return extractFn;
}
export default extractContent;
//# sourceMappingURL=extractContent.js.map