import { NestFactory } from '@nestjs/core';
import { AppModule } from './app.module';
import compression from 'compression';
import configs from './config';
import path from 'path';
const port = configs.port;
// don't compress responses with this request header
function shouldCompress(req, res) { return !req.headers['x-no-compression']; }
async function bootstrap() {
    const app = await NestFactory.create(AppModule);
    app.useStaticAssets(path.join(__dirname), { prefix: '/anniversary/wdpr-files/' });
    app.use(compression({ filter: shouldCompress, threshold: 4000 }));
    await app.listen(port, () => {
        configs.startTime = new Date();
        const line = (new Array(80)).join('_');
        console.log(line);
        console.log('Express server running at http://localhost:' + port + '/');
        console.log('  > start: ' + configs.startTime);
        console.log(line + '\n');
    });
}
bootstrap();
//# sourceMappingURL=main.js.map